Subject: Re: [PATCH] Add bare repository indicator for __git_ps1

From: Ted Pavlic <[email-masked]>
Date: Tue, 24 Feb 2009 10:39:36 -0500

>> Keep in mind that "BARE:master" doesn't make much sense. If you're
>
> It reflects what HEAD points to in the bare repository.

Obviously, but that seems disingenuous when you're inside the git dir. 
"HEAD" is supposed to reflect the name of the currently checked-out 
branch, and so it is tied to a working directory. I'm not sure why it's 
useful to show $GIT_DIR/HEAD in PS1 while inside .git as it invites 
operations that probably should not be done while within the bare repo.

--Ted

-- 
Ted Pavlic <[email-masked]>

   Please visit my ALS association page:
         http://web.alsa.org/goto/tedpavlic
   My family appreciates your support in the fight to defeat ALS.